메인 콘텐츠로 건너뛰기
PATCH
/
admin
/
organization
/
members
/
{id}
멤버 역할 변경
curl --request PATCH \
  --url https://api.headlesscommerce.io/v1/admin/organization/members/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "role": "admin"
}
'
{
  "id": "<string>",
  "email": "jsmith@example.com",
  "name": "<string>",
  "role": "owner",
  "status": "active",
  "joined_at": "2023-11-07T05:31:56Z"
}

인증

Authorization
string
header
필수

API Key. Example: sk_live_xxxxx or pk_live_xxxxx

경로 매개변수

id
string
필수

Resource ID

본문

application/json
role
enum<string>
필수
사용 가능한 옵션:
admin,
staff,
viewer

응답

200 - application/json

성공

id
string
email
string<email>
name
string
role
enum<string>
사용 가능한 옵션:
owner,
admin,
staff,
viewer
status
enum<string>
사용 가능한 옵션:
active,
invited
joined_at
string<date-time>